Passer au contenu principal
PATCH
/
cms
/
url-redirects
/
2026-03
/
{urlRedirectId}
cURL
curl --request PATCH \
  --url https://api.hubapi.com/cms/url-redirects/2026-03/{urlRedirectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "created": "2023-11-07T05:31:56Z",
  "destination": "<string>",
  "id": "<string>",
  "isMatchFullUrl": true,
  "isMatchQueryString": true,
  "isOnlyAfterNotFound": true,
  "isPattern": true,
  "isProtocolAgnostic": true,
  "isTrailingSlashOptional": true,
  "precedence": 123,
  "redirectStyle": 123,
  "routePrefix": "<string>",
  "updated": "2023-11-07T05:31:56Z"
}
'
{
  "created": "2023-11-07T05:31:56Z",
  "destination": "<string>",
  "id": "<string>",
  "isMatchFullUrl": true,
  "isMatchQueryString": true,
  "isOnlyAfterNotFound": true,
  "isPattern": true,
  "isProtocolAgnostic": true,
  "isTrailingSlashOptional": true,
  "precedence": 123,
  "redirectStyle": 123,
  "routePrefix": "<string>",
  "updated": "2023-11-07T05:31:56Z"
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

urlRedirectId
string
requis

Corps

application/json
created
string<date-time>
requis

The date and time when the URL mapping was initially created.

destination
string
requis

The destination URL, where the target URL should be redirected if it matches the routePrefix.

id
string
requis

The unique ID of this URL redirect.

isMatchFullUrl
boolean
requis

Whether the routePrefix should match on the entire URL, including the domain.

isMatchQueryString
boolean
requis

Whether the routePrefix should match on the entire URL path, including the query string.

isOnlyAfterNotFound
boolean
requis

Whether the URL redirect mapping should apply only if a live page on the URL isn't found. If False, the URL redirect mapping will take precedence over any existing page.

isPattern
boolean
requis

Whether the routePrefix should match based on pattern.

isProtocolAgnostic
boolean
requis

Whether the routePrefix should match both HTTP and HTTPS protocols.

isTrailingSlashOptional
boolean
requis

Whether a trailing slash will be ignored.

precedence
integer<int32>
requis

Used to prioritize URL redirection. If a given URL matches more than one redirect, the one with the lower precedence will be used.

redirectStyle
integer<int32>
requis

The type of redirect to create. Options include: 301 (permanent), 302 (temporary), or 305 (proxy). Find more details here.

routePrefix
string
requis

The target incoming URL, path, or pattern to match for redirection.

updated
string<date-time>
requis

The date and time when the URL mapping was last modified.

Réponse

successful operation

created
string<date-time>
requis

The date and time when the URL mapping was initially created.

destination
string
requis

The destination URL, where the target URL should be redirected if it matches the routePrefix.

id
string
requis

The unique ID of this URL redirect.

isMatchFullUrl
boolean
requis

Whether the routePrefix should match on the entire URL, including the domain.

isMatchQueryString
boolean
requis

Whether the routePrefix should match on the entire URL path, including the query string.

isOnlyAfterNotFound
boolean
requis

Whether the URL redirect mapping should apply only if a live page on the URL isn't found. If False, the URL redirect mapping will take precedence over any existing page.

isPattern
boolean
requis

Whether the routePrefix should match based on pattern.

isProtocolAgnostic
boolean
requis

Whether the routePrefix should match both HTTP and HTTPS protocols.

isTrailingSlashOptional
boolean
requis

Whether a trailing slash will be ignored.

precedence
integer<int32>
requis

Used to prioritize URL redirection. If a given URL matches more than one redirect, the one with the lower precedence will be used.

redirectStyle
integer<int32>
requis

The type of redirect to create. Options include: 301 (permanent), 302 (temporary), or 305 (proxy). Find more details here.

routePrefix
string
requis

The target incoming URL, path, or pattern to match for redirection.

updated
string<date-time>
requis

The date and time when the URL mapping was last modified.

Last modified on April 2, 2026